Sidef::Types::Array::Vector(3)

NAME
Sidef::Types::Array::Vector

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Vector(...)

INHERITS
Inherits methods from:

       * Sidef::Types::Array::Array

METHODS

  &
    a & b

Returns the

Aliases: and

  *
    a * b

Returns the

Aliases: mul

  **
    a ** b

Returns the

Aliases: pow

  +
    a + b

Returns the

Aliases: add

  -
    a - b

Returns the

Aliases: sub

  /
    a / b

Returns the

Aliases: ÷, div

  ^
    a ^ b

Returns the

Aliases: xor

  |
    a | b

Returns the

Aliases: or

  abs
    Vector.abs()

Returns the

  atan2
    Vector.atan2()

Returns the

  ceil
    Vector.ceil()

Returns the

  chebyshev_dist
    Vector.chebyshev_dist()

Returns the

  dist
    Vector.dist()

Returns the

  dist_norm
    Vector.dist_norm()

Returns the

  floor
    Vector.floor()

Returns the

  manhattan_dist
    Vector.manhattan_dist()

Returns the

  manhattan_norm
    Vector.manhattan_norm()

Returns the

  neg
    Vector.neg()

Returns the

  new
    Vector.new()

Returns the

Aliases: call

  norm
    Vector.norm()

Returns the

  not
    Vector.not()

Returns the

  round
    Vector.round()

Returns the

  to_a
    Vector.to_a()

Returns the

Aliases: to_array

  to_s
    Vector.to_s()

Returns the

Aliases: dump, to_str

  zero
    Vector.zero()

Returns the